# Usage
`import Commission from 'create-comission';`

`const commission = new Commission(token, amount, comission, customer_id, partner_account_id, card_id)`

`const charge = await comission.createCharge()`

### Parameters
token: stripe token
amount: total amount to be charge in USD
customer_id: Stripe Customer ID
partner_account_id: Stripe ID for partner in which the amount cancelled by comission amount is transferred
card_id: Stripe ID for Card from which the amount is deducted.

#### Note:
Default Currency is USD, but you can change it using following method
`commission.changeCurrency(currency)`
For list of supported currency refer this https://stripe.com/docs/currencies

#### Peer Dependency
stripe